summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruno dos Santos de Araujo <bruno.araujo@openbossa.org>2010-05-03 15:14:09 -0400
committerBruno dos Santos de Araujo <bruno.araujo@openbossa.org>2010-05-03 17:01:22 -0400
commit4805c01d3375d9c0cdf428e75f0e61cf6c54e432 (patch)
treeda07764115c85e0b64046f3c29ca4e32527a1b30
parentfdb03104bf19ba029915ad69fc8337785a6d498d (diff)
downloadpyside-4805c01d3375d9c0cdf428e75f0e61cf6c54e432.tar.gz
pyside-4805c01d3375d9c0cdf428e75f0e61cf6c54e432.tar.xz
pyside-4805c01d3375d9c0cdf428e75f0e61cf6c54e432.zip
Update build docs dependencies/versions
-rw-r--r--doc/howto-build/setup-apiextractor.rst9
-rw-r--r--doc/howto-build/setup-bindings.rst11
-rw-r--r--doc/howto-build/setup-generator.rst6
-rw-r--r--doc/howto-build/shiboken.rst8
4 files changed, 20 insertions, 14 deletions
diff --git a/doc/howto-build/setup-apiextractor.rst b/doc/howto-build/setup-apiextractor.rst
index abd556c..c86567e 100644
--- a/doc/howto-build/setup-apiextractor.rst
+++ b/doc/howto-build/setup-apiextractor.rst
@@ -39,10 +39,13 @@ Debian packaging
In order to compile this package in a Debian environment, make sure the
following packages are installed:
-* debhelper (>= 5)
-* cdbs
+* debhelper (>= 7)
* cmake (>= 2.6.0)
-* libqt4-dev (>= 4.5)
+* libqt4-dev (>= 4.4)
+* libxml2-dev
+* libxslt1-dev
+* pkg-config
+* python-sphinx
And then you can build the package using::
diff --git a/doc/howto-build/setup-bindings.rst b/doc/howto-build/setup-bindings.rst
index 945e16f..da30292 100644
--- a/doc/howto-build/setup-bindings.rst
+++ b/doc/howto-build/setup-bindings.rst
@@ -30,6 +30,7 @@ The bindings available at the moment are listed below:
+ QtWebKit
+ QtXml
+ QtXmlPatterns
+ + Phonon
Getting the sources
===================
@@ -58,22 +59,22 @@ number of source files that will be compiled.
Debian packaging
================
-.. note:: Qt 4.6 is available for Debian in the testing branch (squeeze), Ubuntu 10.04 (Lucid Lynx), and in Maemo 5 (Fremantle) in the upcoming PR 1.2 update. For building to Maemo 5, it is advised to get the packaging from the source uploaded to Maemo extras-devel, as it needs minor modifications in order to build.
+.. note:: Qt 4.6 is available for Debian in the testing branch (squeeze), Ubuntu 10.04 (Lucid Lynx), and in Maemo 5 (Fremantle) in the upcoming PR 1.2 update.
In order to compile this package in a Debian environment, make sure the
following packages are installed:
-* debhelper (>= 5)
-* cdbs
+* debhelper (>= 7)
* cmake (>= 2.6.0)
* python-all-dev
* python-all-dbg
* python-support (>= 0.3.9)
* libqt4-dev
+* libphonon-dev
* libqt4-opengl-dev
-* shiboken (>= 0.3)
+* shiboken (>= 0.2)
* generatorrunner (>= 0.4)
-* libshiboken-dev (>= 0.3.0)
+* libshiboken-dev (>= 0.2.0)
And then you can build the package using::
diff --git a/doc/howto-build/setup-generator.rst b/doc/howto-build/setup-generator.rst
index ae6e594..323cc2b 100644
--- a/doc/howto-build/setup-generator.rst
+++ b/doc/howto-build/setup-generator.rst
@@ -39,11 +39,11 @@ Debian packaging
In order to compile this package in a Debian environment, make sure the
following packages are installed:
-* debhelper (>= 5)
-* cdbs
+* debhelper (>= 7)
* cmake (>= 2.6.0)
* libqt4-dev (>= 4.5)
-* libapiextractor-dev (>= 0.3.2)
+* libapiextractor-dev (>= 0.3.3)
+* libxlst-dev
And then you can build the package using::
diff --git a/doc/howto-build/shiboken.rst b/doc/howto-build/shiboken.rst
index 11af45e..82c7649 100644
--- a/doc/howto-build/shiboken.rst
+++ b/doc/howto-build/shiboken.rst
@@ -41,11 +41,13 @@ In order to compile this package in a debian environment, make sure the
following packages are installed:
* debhelper (>= 5)
-* cdbs
* cmake (>= 2.6.0)
* libqt4-dev (>= 4.5)
-* libapiextractor-dev (>= 0.3.2)
-* libgenrunner-dev (>= 0.3.2a1)
+* libapiextractor-dev (>= 0.4.0)
+* libgenrunner-dev (>= 0.4.0)
+* generatorrunner (>= 0.4.0)
+* python-all-dev
+* python-all-dbg
And then you can build the package using::